# `daschlab`

<!--pypi-begin-->
Daschlab is a Python package that assists with the retrieval and astrophysical
analysis of data from [DASCH], the project to scan Harvard College Observatory’s
collection of [astronomical glass plates][agp]. *daschlab* provides access to
hundreds of terabytes of scientific data documenting the history of the entire
night sky over the years ~1880–1990.

[DASCH]: https://dasch.cfa.harvard.edu/
[agp]: https://platestacks.cfa.harvard.edu/
<!--pypi-end-->

For information about how and why you might use *daschlab*, visit the [DASCH
Data Release 7][dr7] (DR7) website. *daschlab* was developed in conjunction with
DASCH DR7 and *daschlab* examples are included throughout the DR7 documentation.

[dr7]: https://dasch.cfa.harvard.edu/dr7/


## Installation

For installation instructions, see [Install *daschlab*][install] in the DR7
documentation. *daschlab* is a typical Python package that can be installed with
pip, and is available as a [conda-forge] package. Dependencies are recorded in
the [`conda-requirements.txt`](./conda-requirements.txt) file and
[`setup.py`](./setup.py).

[install]: https://dasch.cfa.harvard.edu/dr7/install-daschlab/
[conda-forge]: https://conda-forge.org/


## Documentation and Support

See [the DASCH DR7 site][dr7]. API reference documentation for *daschlab* is
available at <https://daschlab.readthedocs.io/>.

For support, [file an issue][ghi] on this project's GitHub tracker or inquire
with [the DASCH Astrophysics email list][ml].

[ghi]: https://github.com/pkgw/daschlab/issues
[ml]: https://gaggle.email/join/dasch@gaggle.email


## Authorship

*daschlab* was developed by Peter K. G. Williams ([@pkgw]).

[@pkgw]: https://github.com/pkgw/


## Legalities

Copyright to this code is owned by the President and Fellows of Harvard College.
It is open-source software licensed under the MIT License.
